require 'spec_helper'

describe Ztodo::Converter do

  before(:all) { @conv = Ztodo::Converter.new }

  it 'can convert string to task hash' do
    input = "test_title # unique identifier of task\n" +             
            "low # priority: 'low', 'normal' or 'high'\n" +
            "done # task completeness: 'done' or 'undone'\n"+
            "Here will be task\n" +
            "Maybe in two lines"

    output = {:key=>'test_title', :priority=>Ztodo::Project::LOW,
              :description=>"Here will be task\nMaybe in two lines", :done=>true}

    out = @conv.str_to_hash input
    out.should eq(output)
  end

  it 'can convert task hash to string' do
    input = {:key=>'my_task', :priority=>Ztodo::Project::HIGH,
              :description=>"Task description\nwith two lines", :done=>true}

    output = "my_task # unique identifier of task\n" +
             "high # priority: 'low', 'normal' or 'high'\n" +
             "done # task completeness: 'done' or 'undone'\n"+
             "Task description\nwith two lines"

    out = @conv.hash_to_str input
    out.should eq(output)
  end

end